GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
tsi_ssl_server_handshaker_factory Struct Reference

## Data Fields
tsi_ssl_handshaker_factory | base
SSL_CTX ** | ssl_contexts
tsi_peer * | ssl_context_x509_subject_names
size_t | ssl_context_count
unsigned char * | alpn_protocol_list
size_t | alpn_protocol_list_length

## Field Documentation

unsigned char* tsi_ssl_server_handshaker_factory::alpn_protocol_list

size_t tsi_ssl_server_handshaker_factory::alpn_protocol_list_length

tsi_ssl_handshaker_factory tsi_ssl_server_handshaker_factory::base

size_t tsi_ssl_server_handshaker_factory::ssl_context_count

tsi_peer* tsi_ssl_server_handshaker_factory::ssl_context_x509_subject_names

SSL_CTX** tsi_ssl_server_handshaker_factory::ssl_contexts

The documentation for this struct was generated from the following file:

- src/core/tsi/ssl_transport_security.c